package ch.epfl.ppo.generators;

import ch.epfl.ppo.Image;

public final class ConstantImage<T> implements Image<T> {
    private final T value;

    public ConstantImage(T value) {
        this.value = value;
    }

    @Override
    public T valueAt(double x, double y) {
        return value;
    }
}
